#ifndef __CMD_OPTIONS_H
#define __CMD_OPTIONS_H

#define __CMD_OPT_DEVICE			"d:"
#define __CMD_OPT_BAUD_RATE			"b:"
#define __CMD_OPT_INTERACTIVE			"i"
#define __CMD_OPT_NON_INTERACTIVE		"n"
#define __CMD_OPT_VERBOSE			"v"
#define __CMD_OPT_FILE				"f:"

#define CMD_OPT_DEVICE				'd'
#define CMD_OPT_BAUD_RATE			'b'
#define CMD_OPT_INTERACTIVE			'i'
#define CMD_OPT_NON_INTERACTIVE			'n'
#define CMD_OPT_VERBOSE				'v'
#define CMD_OPT_FILE				'f'

enum cmd_opt_long_only {
	CMD_OPT_VERSION = 128,
	CMD_OPT_HELP,
	CMD_OPT_READ_TIMEOUT,
	CMD_OPT_ALPHABET,
	CMD_OPT_SMSC_ADDR,
	CMD_OPT_CMGW_FIRST,
	CMD_OPT_MSG_STORE_READ,
	CMD_OPT_MSG_STORE_SEND,
	CMD_OPT_MSG_STORE_NEW,
	CMD_OPT_PHONEBOOK_STORE,
	CMD_OPT_SUBJECT,
};

#endif /* ~__CMD_OPTIONS_H */

