#ifndef __SMS_LIST_H
#define __SMS_LIST_H

enum {
	CMD_TYPE_CMGL,
	CMD_TYPE_CMGR,
};

struct msg_list_info {
	int cmd_type;
	int index;
	int status;
	int state;

	int nr_lines;
	int nr_unread;
	int nr_read;
	int nr_unsent;
	int nr_sent;
	int nr_unknown;
	int nr_msgs;

	struct list_head msg_list;
};

void sms_list_free(struct msg_list_info *list_info);
int sms_list_get(int fd, struct msg_list_info *list_info);

void sms_list_help(FILE *out);
int sms_list(int argc, char **argv);

#endif /* ~__SMS_LIST_H */
